# TODO: finish docs build (requires Sphinx repoze.sphinx.autointerface extension)
#
# Conditional build:
%bcond_with	doc	# Sphinx documentation
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module
%bcond_without	tests	# unit tests

%define 	module	zope.interface
Summary:	Python 'interface' concept implementation
Summary(pl.UTF-8):	Implementacja interfejsów dla języka Python
Name:		python-%{module}
Version:	4.5.0
Release:	3
License:	ZPL 2.1
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/zope.interface/
Source0:	https://files.pythonhosted.org/packages/source/z/zope.interface/zope.interface-%{version}.tar.gz
# Source0-md5:	7b669cd692d817772c61d2e3ad0f1e71
URL:		http://docs.zope.org/zope.interface/
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.710
%if %{with python2}
BuildRequires:	python >= 1:2.7
BuildRequires:	python-devel >= 1:2.7
BuildRequires:	python-setuptools
%{?with_tests:BuildRequires:	python-zope.event}
%endif
%if %{with python3}
BuildRequires:	python3 >= 1:3.4
BuildRequires:	python3-devel >= 1:3.4
BuildRequires:	python3-setuptools
%{?with_tests:BuildRequires:	python3-zope.event}
%endif
%if %{with doc}
BuildRequires:	python3-repoze.sphinx.autointerface
BuildRequires:	sphinx-pdg-3
%endif
Requires:	python-modules >= 1:2.7
Requires:	python-zope-base
Provides:	ZopeInterface
Provides:	Zope-Interface
Obsoletes:	ZopeInterface
Obsoletes:	Zope-Interface
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Python 'interface' concept implementation.

%description -l pl.UTF-8
Implementacja interfejsów (abstrakcyjnych reprezentacji klas) dla
języka Python.

%package -n python3-%{module}
Summary:	Python 'interface' concept implementation
Summary(pl.UTF-8):	Implementacja interfejsów dla języka Python
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.4
Requires:	python3-zope-base

%description -n python3-%{module}
Python 'interface' concept implementation.

%description -n python3-%{module} -l pl.UTF-8
Implementacja interfejsów (abstrakcyjnych reprezentacji klas) dla
języka Python.

%prep
%setup -q -n %{module}-%{version}

%build
%if %{with python2}
%py_build %{?with_tests:test}
%endif

%if %{with python3}
%py3_build %{?with_tests:test}
%endif

%if %{with doc}
PYTHONPATH=$(pwd)/src \
%{__make} -C docs html \
	SPHINXBUILD=sphinx-build-2
%endif

%install
rm -rf $RPM_BUILD_ROOT
%if %{with python2}
%py_install

%{__rm} $RPM_BUILD_ROOT%{py_sitedir}/zope/interface/*.c

%py_postclean
%endif

%if %{with python3}
%py3_install

%{__rm} $RPM_BUILD_ROOT%{py3_sitedir}/zope/interface/*.c
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc CHANGES.rst COPYRIGHT.txt README.rst
%dir %{py_sitedir}/zope/interface
%{py_sitedir}/zope/interface/*.py[co]
%attr(755,root,root) %{py_sitedir}/zope/interface/_zope_interface_coptimizations.so
%{py_sitedir}/zope/interface/common
%{py_sitedir}/zope/interface/tests
%{py_sitedir}/zope.interface-%{version}-py*.egg-info
%{py_sitedir}/zope.interface-%{version}-py*-nspkg.pth
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc CHANGES.rst COPYRIGHT.txt README.rst
%dir %{py3_sitedir}/zope/interface
%{py3_sitedir}/zope/interface/*.py
%{py3_sitedir}/zope/interface/__pycache__
%attr(755,root,root) %{py3_sitedir}/zope/interface/_zope_interface_coptimizations*.so
%{py3_sitedir}/zope/interface/common
%{py3_sitedir}/zope/interface/tests
%{py3_sitedir}/zope.interface-%{version}-py*.egg-info
%{py3_sitedir}/zope.interface-%{version}-py*-nspkg.pth
%endif
%changelog
* Sat Nov 09 2019 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/python-zope.interface.git;a=log;h=master

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> aa120db
- rebuild with python 3.8
- release 3 (by relup.sh)

* Fri Jul 13 2018 Jakub Bogusz <qboosh@pld-linux.org> 5f7f3c2
- added tests (enabled by default) and docs skeleton

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 499f037
- release 2 (by relup.sh)

* Fri May 04 2018 Jacek Konieczny <j.konieczny@eggsoft.pl> 9a4b268
- Version: 4.5.0

* Wed Dec 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 81c763d
- python 3.6
- release 2 (by relup.sh)

* Tue Dec 27 2016 Jacek Konieczny <j.konieczny@eggsoft.pl> 1bc0acd
- renamed, python3 support added

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 2bef8ad
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> f4ebf44
- automatic change: use py_build/py_install macros

* Sat May 02 2015 Jan Rękorajski <baggins@pld-linux.org> d63d5b2
- x32 rebuild
- release 2 (by relup.sh)

* Sun Jan 27 2013 Elan Ruusamäe <glen@delfi.ee> 329c3be
- up to 4.0.3, update url

* Sun Jan 27 2013 Elan Ruusamäe <glen@delfi.ee> 165f01e
- rebuild for pythonegg deps; unify python .spec

* Sat Jun 02 2012 Caleb Maclennan <caleb@alerque.com> 8390069
- Up to 4.0.1

* Wed Jan 18 2012 Caleb Maclennan <caleb@alerque.com> d13d41a
- Up to 3.8.0

* Fri Sep 16 2011 Caleb Maclennan <caleb@alerque.com> c67fe09
- Up to 3.7.0

* Thu Jun 02 2011 Caleb Maclennan <caleb@alerque.com> 946ded4
- Up to 3.6.3

* Mon Nov 08 2010 Caleb Maclennan <caleb@alerque.com> 756543c
- Up to 3.6.1

* Wed Nov 03 2010 shadzik <shadzik@pld-linux.org> 499dc01
- rel 3

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 123ff72
- release 2

* Wed Feb 10 2010 sparky <sparky@pld-linux.org> 7a6c90b
- dropped unused BR: unzip

* Mon Feb 08 2010 wrobell <wrobell@pld-linux.org> 50f4ade
- ver. 3.5.3

